Get parent thread by child thread ID
GET
/openapi/thread/parentthread/{id}
const url = 'https://open-api.replyco.com/openapi/thread/parentthread/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://open-api.replyco.com/openapi/thread/parentthread/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>'When threads are merged, child threads maintain a reference to their parent. Use this endpoint to get the parent thread information. Returns null if the thread has no parent.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Child thread ID
Responses
Section titled “Responses”Returns the parent thread information or null
User is not authenticated or authorized
Child thread with the specified ID was not found